package com.tuoheng.admin.enums.code.user;

/**
 * 新增用户返回码
 * 模块代码：10（用户管理）
 * 接口代码：01 （新增用户）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-16
 */
public enum AddUserCodeEnum {

    ADD_IS_FAILED(1100100, "添加失败"),
    CODE_IS_NULL(1100101, "编号不能为空"),
    USERNAME_IS_NULL(1100102, "员工账号不能为空"),
    REALNAME_IS_NULL(1100103, "员工姓名不能为空"),
    ROLE_ID_IS_NULL(1100104, "角色不能为空"),
    DEPT_ID_IS_NULL(1100105, "部门不能为空"),
    CLIENT_ID_IS_NULL(1100106, "ClientID不能为空"),
    TYPE_ID_IS_NULL(1100107, "用户类型不能为空"),
    TYPE_ID_IS_NOT_EXISTS(1100108, "用户类型不存在"),
    PHONE_NOT_IMATCH(1100109, "手机号不匹配"),
    USERNAME_ALREADY_EXISTS(1100110, "系统中已经存在该账号"),
    ROLE_IS_NOT_EXISTS(1100111, "该角色不存在"),
    TYPE_IS_NOT_EXISTS(1100112, "该用户身份类型不存在"),
    DATA_PERMISSION_ID_IS_NULL(1100113, "数据权限不能为空"),;

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    AddUserCodeEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
